# Support

Types of questions and where to ask:

- How do I? -- the Discourse forum at [community.k6.io](https://community.k6.io/) or [Stack Overflow](https://stackoverflow.com/questions/tagged/k6) (use tags: k6, javascript, load-testing)
- I got this error, why? -- [community.k6.io](https://community.k6.io/) or [Stack Overflow](https://stackoverflow.com/questions/tagged/k6)
- I got this error and I'm sure it's a bug -- [open a new issue](https://github.com/grafana/k6/issues), if there isn't one for this specific bug already
- I have an idea/request -- search the [GitHub issues](https://github.com/grafana/k6/issues) to see if it was already requested and give the issue a :+1: if so. If it wasn't, search [community.k6.io](https://community.k6.io/) or post a forum thread to discuss the idea with the developers before creating a GitHub issue.
- Why do you? -- [community.k6.io](https://community.k6.io/) or [Slack](https://k6.io/slack)
- When will you? -- [community.k6.io](https://community.k6.io/) or [Slack](https://k6.io/slack)

If your questions are related to the commercial [k6-cloud](https://k6.io/cloud/) service, you can contact <support@k6.io> or write in the `#k6-cloud` channel in [Slack](https://k6.io/slack).
